PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Contractor Job History

This endpoint retrieves job history information for a specific employee.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/job_histories

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

employee_iduuidrequired

The ID of the employee to retrieve job history for

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A hash with a data property that contains an array of up to the limit of job history records. Each entry in the array is a separate job history object. If there is no job history record, the resulting array will be empty. Likewise, if the target employee is not a contractor, the array will likely be empty

dataobject
itemsobject[]
job_titlestring

The title of the job position.

service_descriptionstring

Description of the service or role performed.

start_datestring

The date when the job position started.

end_datestring

The date when the job position ended.

payment_termenum<string>

The payment frequency for the position.

account_namestring

The name of the bank account.

bsbstring

The BSB (Bank State Branch) code for the bank account.

account_numberstring

The bank account number.

bank_namestring

The name of the bank.

bank_codestring

The bank code identifier.

descriptionstring

Additional description or notes about the job position.

roll_numberstring

The roll number for the bank account.

bank_countrystring

The country code where the bank is located (e.g., "AU" for Australia).

bank_branchstring

The specific branch of the bank.

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/job_histories" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "service_description": "UX/UI content",        "start_date": "2025-08-11",        "end_date": "2025-08-12",        "job_title": "Job history",        "payment_term": "Fortnightly",        "account_name": "AccountName",        "bsb": "BSB",        "account_number": "123123",        "bank_name": "bank name",        "bank_code": "bank code",        "description": "description",        "roll_number": "roll number",        "bank_country": "AU",        "bank_branch": "bank branch"      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 1,    "total_pages": 1  }}